import QtQuick 2.15
import QtQuick.Window 2.15

Window {
    width: 640
    height: 680
    visible: true
    title: qsTr("Hello World")

    Item {
        anchors.centerIn: parent
        width: 600; height: 600

        Row {

            Rectangle { 
                width: 80; height: 300; border.width: 2
                Loader { id: pageLoader; anchors.centerIn: parent; asynchronous: true }
            }

            Rectangle { 
                width: 40; height: 40; border.width: 1
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                         pageLoader.active  = true
                         pageLoader.setSource("Collection.qml",
                                 {checkedIndicator: "filled.png", uncheckedIndicator: "unfilled.png"});
                    }
                }            
            }

            Rectangle { 
                width: 40; height: 40; border.width: 1
                MouseArea {
                    anchors.fill: parent
                    onClicked: pageLoader.active  = false
                }            
            }

        }

    }
}

    